buildscript {
    ext {
        kotlinVersion = "1.9.24"
    }
    repositories {
        maven {url 'https://maven.aliyun.com/repository/public'}
        google()
        mavenCentral()
    }
    dependencies {
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
    }
}

apply plugin: 'groovy'
apply plugin: 'kotlin'

dependencies {
    implementation gradleApi()
    implementation localGroovy()
    implementation "com.android.tools.build:gradle:7.1.3"
    implementation "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
    implementation "commons-io:commons-io:2.4"
    implementation "org.javassist:javassist:3.25.0-GA"
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$kotlinVersion"

    implementation 'org.ow2.asm:asm:9.3'
    implementation 'org.ow2.asm:asm-commons:9.3'
}
repositories {
    maven {url 'https://maven.aliyun.com/repository/public'}
    google()
    jcenter()
}

